/**
 * Core API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

import {FloorPrincipalResponse} from "./floorPrincipalResponse";
import {MinimalFloorPlanResponse} from "./minimalFloorPlanResponse";

export class FloorResponse {
    public principal: FloorPrincipalResponse;

    public latestFloorPlan: MinimalFloorPlanResponse;

    public floorPlans: MinimalFloorPlanResponse[];

    /**
     * Creates a FloorResponse.
     *
     * @param {FloorPrincipalResponse} principal
     * @param {MinimalFloorPlanResponse} latestFloorPlan
     * @param {MinimalFloorPlanResponse} floorPlans
     */
    constructor(principal: FloorPrincipalResponse, latestFloorPlan: MinimalFloorPlanResponse, floorPlans: MinimalFloorPlanResponse[]) {
        this.principal = principal;
        this.latestFloorPlan = latestFloorPlan;
        this.floorPlans = floorPlans;
    }
}
